<?php
/**
* Global Color Settings.
*
* @package Car Rental Service
*/

$car_rental_service_default = car_rental_service_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'car_rental_service_global_color_setting',
	array(
	'title'      => esc_html__( 'Global Color Settings', 'car-rental-service' ),
	'priority'   => 1,
	'capability' => 'edit_theme_options',
	'panel'      => 'car_rental_service_theme_option_panel',
	)
);

$wp_customize->add_setting( 'car_rental_service_global_color',
    array(
    'default'           => '#1A1A1A',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'car_rental_service_global_color',
    array(
        'label'      => esc_html__( 'Global Color', 'car-rental-service' ),
        'section'    => 'car_rental_service_global_color_setting',
        'settings'   => 'car_rental_service_global_color',
    ) ) 
);

$wp_customize->add_setting( 'car_rental_service_secondary_color',
    array(
    'default'           => '#F91A6C',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'car_rental_service_secondary_color',
    array(
        'label'      => esc_html__( 'Seconday Color', 'car-rental-service' ),
        'section'    => 'car_rental_service_global_color_setting',
        'settings'   => 'car_rental_service_secondary_color',
    ) ) 
);